%define name	drupal
%define version	4.4.0
%define release	2mdk

%define httpdroot  /var/www

Summary:	Drupal is an open-source platform and content management system. 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://drupal.org/files/projects/drupal-4.4.0.tar.bz2
URL:		http://www.drupal.org/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	php, perl, apache, php-xml
BuildArchitectures: noarch

%description
Drupal is an open-source platform and content management system for
building dynamic web sites offering a broad range of features and
services including user administration, publishing workflow,
discussion capabilities, news aggregation, metadata functionalities
using controlled vocabularies and XML publishing for content sharing
purposes. Equipped with a powerful blend of features and
configurability, Drupal can support a diverse range of web projects
ranging from personal weblogs to large community-driven sites.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
# Set doc files are regular files
chmod 0644 *.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{httpdroot}/html/drupal
cp -aRf * $RPM_BUILD_ROOT%{httpdroot}/html/drupal

cd $RPM_BUILD_ROOT%{httpdroot}/html/drupal
rm -rf *.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo Please create a database in MySQL or PostgreSQL for drupal to use.
echo Drupal server options are specified in includes/conf.php.
echo Finish by browsing to http://yourmachine/drupal.

%postun
echo To complete the removal you must remove the databases manually.

%files
%defattr(-,root,root)
%dir %{httpdroot}/html/drupal
%doc *.txt
%defattr(-,root,root)
%{httpdroot}/html/drupal

%changelog
* Fri May  7 2004 Robert Vojta <robert.vojta@mandrake.cz> 4.4.0-2mdk
- rebuild (bug #9709)

* Thu Apr 15 2004 Daouda LO <daouda@mandrakesoft.com> 4.4.0-1mdk
- first mandrake package
